GuideLab API

Schedule, assign, route, collect, reschedule, or cancel a pickup

POST
/pickup-requests/{id}/commands

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/pickup-requests/string/commands" \  -H "Content-Type: application/json" \  -d '{    "action": "schedule",    "commandId": "string",    "expectedStatus": "requested",    "window": {      "start": "string",      "end": "string",      "timezone": "string"    }  }'
{  "request": {    "id": "string",    "labId": "string",    "clinicId": "string",    "partnershipId": "string",    "formRevisionId": "string",    "status": "string",    "formData": {      "property1": null,      "property2": null    },    "requestedWindowStart": "string",    "requestedWindowEnd": "string",    "requestedTimezone": "string",    "scheduledWindowStart": "string",    "scheduledWindowEnd": "string",    "scheduledTimezone": "string",    "addressId": "string",    "addressSnapshot": {      "label": "string",      "contactName": "string",      "contactPhone": "string",      "addressLine1": "string",      "addressLine2": "string",      "city": "string",      "state": "string",      "postcode": "string",      "country": "st"    },    "requestedByMemberId": "string",    "assignedMemberId": "string",    "assignedExternalName": "string",    "assignedExternalPhone": "string",    "assignedExternalEmail": "string",    "notes": "string",    "internalNotes": "string",    "collectedAt": "string",    "cancelledAt": "string",    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty
Empty